GDCM 2.2.1

- Main Page
- Related Pages
- Namespaces
- Classes
- Files
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Protected Types | Protected Member Functions | Protected Attributes | List of all members
gdcm::SegmentReader Class Reference

This class defines a segment reader. It reads attributes of group 0x0062. More...

`#include <gdcmSegmentReader.h>`

Inheritance diagram for gdcm::SegmentReader:
[legend]
Collaboration diagram for gdcm::SegmentReader:
[legend]

## Public Types

typedef std::vector < SmartPointer< Segment > > | SegmentVector

## Public Member Functions

| SegmentReader ()
virtual | ~SegmentReader ()
const SegmentVector | GetSegments () const
SegmentVector | GetSegments ()
virtual bool | Read ()
| Read.
Public Member Functions inherited from gdcm::Reader
| Reader ()
virtual | ~Reader ()
bool | CanRead () const
const File & | GetFile () const
| Set/Get File.
File & | GetFile ()
| Set/Get File.
bool | ReadSelectedTags (std::set< Tag > const &tags)
| Will only read the specified selected tags.
bool | ReadUpToTag (const Tag &tag, std::set< Tag > const &skiptags=std::set< Tag >())
void | SetFile (File &file)
| Set/Get File.
void | SetFileName (const char *filename_native)
void | SetStream (std::istream &input_stream)
| Set the open-ed stream directly.

## Protected Types

typedef std::map< unsigned long, SmartPointer< Segment > > | SegmentMap

## Protected Member Functions

bool | ReadSegment (const Item &segmentItem, const unsigned int idx)
bool | ReadSegments ()
Protected Member Functions inherited from gdcm::Reader
std::istream * | GetStreamPtr () const
bool | ReadDataSet ()
bool | ReadMetaInformation ()
bool | ReadPreamble ()

## Protected Attributes

SegmentMap | Segments
Protected Attributes inherited from gdcm::Reader
SmartPointer< File > | F

## Detailed Description

This class defines a segment reader. It reads attributes of group 0x0062.

See Also
  PS 3.3 C.8.20.2 and C.8.23

## Member Typedef Documentation

typedef std::map< unsigned long, SmartPointer< Segment > > gdcm::SegmentReader::SegmentMap

protected

typedef std::vector< SmartPointer< Segment > > gdcm::SegmentReader::SegmentVector

## Constructor & Destructor Documentation

gdcm::SegmentReader::SegmentReader | ( |  | ) |

virtual gdcm::SegmentReader::~SegmentReader | ( |  | ) |

virtual

## Member Function Documentation

const SegmentVector gdcm::SegmentReader::GetSegments | ( |  | ) | const

SegmentVector gdcm::SegmentReader::GetSegments | ( |  | ) |

virtual bool gdcm::SegmentReader::Read | ( |  | ) |

virtual

Read.

Reimplemented from gdcm::Reader.

Reimplemented in gdcm::SurfaceReader.

bool gdcm::SegmentReader::ReadSegment | ( | const Item & | segmentItem,
|  | const unsigned int | idx
| ) |  |

protected

bool gdcm::SegmentReader::ReadSegments | ( |  | ) |

protected

## Member Data Documentation

SegmentMap gdcm::SegmentReader::Segments

protected

The documentation for this class was generated from the following file:

- gdcmSegmentReader.h